# Generated by Django 5.0.8 on 2025-02-10 09:37

import uuid

import django.core.validators
import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("process", "0048_worker_cost_fields"),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="Budget",
            fields=[
                ("id", models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ("name", models.CharField(max_length=100, validators=[django.core.validators.MinLengthValidator(1)])),
                ("total", models.DecimalField(decimal_places=3, default=0, max_digits=12)),
            ],
        ),
        migrations.CreateModel(
            name="BudgetEntry",
            fields=[
                ("id", models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ("created", models.DateTimeField(auto_now_add=True)),
                ("description", models.CharField(max_length=255, validators=[django.core.validators.MinLengthValidator(1)])),
                ("value", models.DecimalField(decimal_places=3, max_digits=12)),
                ("budget", models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name="entries", to="budget.budget")),
                ("process", models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name="budget_entries", to="process.process")),
                ("user", models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name="budget_entries", to=settings.AUTH_USER_MODEL)),
            ],
            options={
                "verbose_name_plural": "budget entries",
            },
        ),
    ]
